SHELL	= /bin/sh

CFLAGS	= 

OBJS	= driver.o \
	parse.o \
	err.o \
	source.o \
	glahead.o \
	pascalCom.o \
	mkstrsupp.o \
	idn.o \
	csm.o \
	obstack.o \
	str.o \
	auxScanEOL.o \
	CchStr.o \
	int.o \
	Ccomment.o \
	pascalStr.o \
	pgs_gen.o \
	treecon.o \
	visitprocs.o \
	ptg_gen.o \
	genlido.o \
	gen_ins.o \
	envmod.o \
	deftbl.o \
	support.o \
	pdl_gen.o \
	treestack.o \
	attrmain.o \
	dfltclp.o

EXE	= genlido.exe

$(EXE):	$(OBJS)
	$(CC) -o $(EXE) $(CFLAGS) $(OBJS)

objects: $(OBJS)

clean:
	rm -f a.out *.o *.a *~ core ERRS $(EXE)

tidy:
	rm -f core a.out *.o *~ *.a ERRS

driver.o:	driver.c HEAD.h INIT.h FINL.h treecon.h pdl_gen.h deftbl.h ptg_gen.h \
csm.h gen_ins.h genlido.h support.h envmod.h err.h treestack.h \
obstack.h
parse.o:	parse.c parse.h pgs_gen.h err.h gla.h gsdescr.h
err.o:	err.c err.h source.h
source.o:	source.c source.h
glahead.o:	glahead.c err.h source.h xtables.h xcode.h
pascalCom.o:	pascalCom.c err.h gla.h source.h
mkstrsupp.o:	mkstrsupp.c str.h
idn.o:	idn.c err.h idn.h csm.h idntbl.h obstack.h
csm.o:	csm.c csm.h csmtbl.h obstack.h
obstack.o:	obstack.c obstack.h
str.o:	str.c str.h csm.h obstack.h
auxScanEOL.o:	auxScanEOL.c err.h gla.h source.h
CchStr.o:	CchStr.c err.h source.h gla.h
int.o:	int.c int.h
Ccomment.o:	Ccomment.c err.h gla.h source.h
pascalStr.o:	pascalStr.c err.h gla.h
pgs_gen.o:	pgs_gen.c parse.h HEAD.h err.h gla.h gsdescr.h treecon.h pdl_gen.h \
deftbl.h ptg_gen.h csm.h gen_ins.h genlido.h support.h envmod.h \
treestack.h obstack.h
treecon.o:	treecon.c HEAD.h node.h visitprocs.h gsdescr.h obstack.h treecon.h \
pdl_gen.h deftbl.h ptg_gen.h csm.h gen_ins.h genlido.h support.h \
envmod.h err.h treestack.h
visitprocs.o:	visitprocs.c HEAD.h err.h node.h visitprocs.h glattr.h attrpredef.h \
treecon.h pdl_gen.h deftbl.h ptg_gen.h csm.h gen_ins.h genlido.h \
support.h envmod.h treestack.h obstack.h
ptg_gen.o:	ptg_gen.c ptg_gen.h
genlido.o:	genlido.c obstack.h envmod.h csm.h ptg_gen.h genlido.h support.h \
gen_ins.h err.h deftbl.h
gen_ins.o:	gen_ins.c gen_ins.h err.h csm.h obstack.h
envmod.o:	envmod.c err.h envmod.h deftbl.h
deftbl.o:	deftbl.c err.h deftbl.h
support.o:	support.c envmod.h csm.h pdl_gen.h obstack.h deftbl.h
pdl_gen.o:	pdl_gen.c deftbl.h pdl_gen.h
treestack.o:	treestack.c err.h treecon.h treestack.h
attrmain.o:	attrmain.c treecon.h visitprocs.h err.h treestack.h
dfltclp.o:	dfltclp.c source.h
